Bug 13676 - OpacSuppression description says 'items' but means 'records'
Summary: OpacSuppression description says 'items' but means 'records'
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: sherryn
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-06 16:37 UTC by Katrin Fischer
Modified: 2018-06-04 20:15 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13676 - OpacSuppression description says 'items' but means 'records' (1.93 KB, patch)
2015-02-10 17:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13676 - OpacSuppression description says 'items' but means 'records' (1.99 KB, patch)
2015-02-24 06:16 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 13676 - OpacSuppression description says 'items' but means 'records' (2.05 KB, patch)
2015-02-25 11:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug: 13676: Fixing the OpacSuppression description (1.55 KB, patch)
2017-12-18 21:42 UTC, sherryn
Details | Diff | Splinter Review
Bug: 13676: Fixing the OpacSuppression description (1.60 KB, patch)
2017-12-18 21:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug: 13676: Fixing the OpacSuppression description (1.65 KB, patch)
2017-12-19 09:48 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-06 16:37:36 UTC
The OpacSuppression preference description is not clear:

... items marked as suppressed from OPAC search results. Note that you must have the <code>Suppress</code> index set up in Zebra and at least one suppressed item, or your searches will be broken. ...

The feature works on record level, not on item level.
Comment 1 Marc Véron 2015-02-10 17:36:20 UTC Comment hidden (obsolete)
Comment 2 Brendan Gallagher 2015-02-24 06:16:41 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-25 11:49:22 UTC
Created attachment 36164 [details] [review]
Bug 13676 - OpacSuppression description says 'items' but means 'records'

This patch changes the wording for the OpacSuppression preference description.

Without patch:
... items marked as suppressed from OPAC search results. Note that you must have the <code>Suppress</code> index set up in Zebra and at least one suppressed item, or your searches will be broken. ...

With patch:
... items marked as suppressed from OPAC search results. Note that you must have the <code>Suppress</code> index set up in Zebra and at least one suppressed biblio record, or your searches will be broken. ...

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-03-02 15:30:15 UTC
Patch pushed to master.

Thanks Marc!
Comment 5 Chris Cormack 2015-03-12 07:07:31 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 6 Mason James 2015-03-26 02:11:21 UTC
Contains string changes, holding for 3.16.10
Comment 7 Nicole C. Engard 2015-03-30 15:17:38 UTC
Shouldn't we then change the beginning of the preference description:

___ items marked as suppressed from OPAC search results. 

should be

___ biblios marked as suppressed from OPAC search results.
Comment 8 Jens Weber 2017-12-06 17:35:48 UTC
I agree with Nicole that this has to be changed in the preference description just the same!
(I hope it is okay I didn't file a new bug on this ...)
Comment 9 sherryn 2017-12-18 21:42:20 UTC
Created attachment 69862 [details] [review]
Bug: 13676: Fixing the OpacSuppression description

To Test
1/ Search for OpacSuppression system preference
2/ Notice that it says "Items marked as suppressed from OPAC search
results
3/ Noticre also that addresses is spelt wrong
4/ Apply patch
5/ Refresh the page, notice addresses is fixed and items has become
biblios
Comment 10 Katrin Fischer 2017-12-18 21:49:30 UTC
Created attachment 69863 [details] [review]
Bug: 13676: Fixing the OpacSuppression description

To Test
1/ Search for OpacSuppression system preference
2/ Notice that it says "Items marked as suppressed from OPAC search
results
3/ Noticre also that addresses is spelt wrong
4/ Apply patch
5/ Refresh the page, notice addresses is fixed and items has become
biblios

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2017-12-18 21:51:59 UTC
Thx for your first patch Sherryn!
Comment 12 Josef Moravec 2017-12-19 09:48:22 UTC
Created attachment 69900 [details] [review]
Bug: 13676: Fixing the OpacSuppression description

To Test
1/ Search for OpacSuppression system preference
2/ Notice that it says "Items marked as suppressed from OPAC search
results
3/ Noticre also that addresses is spelt wrong
4/ Apply patch
5/ Refresh the page, notice addresses is fixed and items has become
biblios

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Jonathan Druart 2017-12-19 13:37:46 UTC
Sherryn, you did not specify your lastname in the commit message, is it expected?
Comment 14 Chris Cormack 2017-12-19 19:37:44 UTC
Hi Jonathan

It is Mak

Thank you
Comment 15 Jonathan Druart 2017-12-20 16:45:04 UTC
Patch pushed to master for 18.05, congrats Sherryn for your first patch in!